block 590011 with 590827
--

I don't think this is an acceptable solution, because it breaks the test
scripts (they actually rely on lsof, the check for their presence isn't
superfluous)

Yes, I meant to skip test suite on GNU/kFreeBSD.

But it looks like the usage of lsof can be avoided.
Wouldn'be possible to use lsof when available and otherwise use simply "test -S" ?

Cheers

        Petr


--- t/ephemeral-x.STD   2010-07-29 15:33:59.000000000 +0000
+++ t/ephemeral-x.sh    2010-07-29 15:35:17.000000000 +0000
@@ -66,17 +66,17 @@
   exit 1
 fi

-if ! which lsof > /dev/null 2>&1 ; then
-  echo "Unable to find lsof. This is a required tool."
-  cleanup
-  exit 1
-fi
+#if ! which lsof > /dev/null 2>&1 ; then
+#  echo "Unable to find lsof. This is a required tool."
+#  cleanup
+#  exit 1
+#fi

 while true; do
   num=$(expr $num + 1)
   xsocket=/tmp/.X11-unix/X$num
   quiet || echo "Trying :$num"
-  lsof $xsocket > /dev/null 2>&1 && continue
+  test -S $xsocket > /dev/null 2>&1 && continue
   (
     if quiet ; then
       exec > /dev/null
@@ -97,7 +97,7 @@

     # See if the xserver got a hold of the display socket.
     # If so, the server is up and healthy.
-    if lsof -p $xpid | grep -qF $xsocket ; then
+    if test -S $xsocket ; then
       quiet || echo "$XSERVERNAME looks healthy. Moving on."
       healthy=1
       break




--
To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org

Reply via email to